{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.getDefault(Lorg/eclipse/uml2/uml/Property;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateMultiplicityOfComposite(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.upperBound()I": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.isNavigable(Lorg/eclipse/uml2/uml/Property;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setIsNavigable(Lorg/eclipse/uml2/uml/Property;Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.includesMultiplicity(Lorg/eclipse/uml2/uml/MultiplicityElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateSubsettedPropertyNames(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setRealDefaultValue(Lorg/eclipse/uml2/uml/Property;D)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ConnectableElementOperations.getEnds(Lorg/eclipse/uml2/uml/ConnectableElement;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.isSetDefault(Lorg/eclipse/uml2/uml/Property;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setIsComposite(Lorg/eclipse/uml2/uml/Property;Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.lowerBound()I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateUpperIsUnlimitedNatural(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateLowerGe0(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.isAttribute(Lorg/eclipse/uml2/uml/Property;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateValueSpecificationConstant(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.subsettingContext(Lorg/eclipse/uml2/uml/Property;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.compatibleWith(Lorg/eclipse/uml2/uml/MultiplicityElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.isMultivalued()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateRedefinitionContextValid(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateDerivedUnionIsReadOnly(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateRedefinitionConsistent(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateRedefinedPropertyInherited(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateTypeOfOppositeEnd(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateDeploymentTarget(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateQualifiedIsAssociationEnd(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateDerivedUnionIsDerived(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateNonLeafRedefinition(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.getOtherEnd(Lorg/eclipse/uml2/uml/Property;)Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getLower()I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.isConsistentWith(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateSubsettingContextConforms(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.isCompatibleWith(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setUpper(I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setLower(I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setUnlimitedNaturalDefaultValue(Lorg/eclipse/uml2/uml/Property;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateUpperGeLower(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateSubsettingRules(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setStringDefaultValue(Lorg/eclipse/uml2/uml/Property;Ljava/lang/String;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateLowerIsInteger(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.isComposite(Lorg/eclipse/uml2/uml/Property;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.unsetDefault(Lorg/eclipse/uml2/uml/Property;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/DeploymentTargetOperations.getDeployedElements(Lorg/eclipse/uml2/uml/DeploymentTarget;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setNullDefaultValue(Lorg/eclipse/uml2/uml/Property;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterableElementOperations.isTemplateParameter(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateValueSpecificationNoSideEffects(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.validateBindingToAttribute(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setIntegerDefaultValue(Lorg/eclipse/uml2/uml/Property;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setDefault(Lorg/eclipse/uml2/uml/Property;Ljava/lang/String;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getUpper()I": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.getOpposite(Lorg/eclipse/uml2/uml/Property;)Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.is(II)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setOpposite(Lorg/eclipse/uml2/uml/Property;Lorg/eclipse/uml2/uml/Property;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PropertyOperations.setBooleanDefaultValue(Lorg/eclipse/uml2/uml/Property;Z)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 1
  }
}